List Calendars
curl --request GET \
--url https://calendar.universal.rollout.com/api/calendars \
--header 'Authorization: Bearer <token>' \
--header 'X-Rollout-Credential-Id: <api-key>'import requests
url = "https://calendar.universal.rollout.com/api/calendars"
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-Rollout-Credential-Id': '<api-key>'}
};
fetch('https://calendar.universal.rollout.com/api/calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"collection": "<string>",
"offset": 123,
"limit": 123,
"total": 123,
"next": "<string>",
"nextLink": "<string>"
},
"calendars": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"timezone": "<string>",
"color": "<string>",
"isPrimary": true,
"isReadOnly": true,
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>"
}
]
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Calendars
List Calendars
GET /calendars
GET
/
calendars
List Calendars
GET /calendars
Base URL: https://calendar.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
next | query | string | No |
offset | query | string(numeric) | number | No |
limit | query | number | No |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/calendar.json GET /calendarsAuthorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
⌘I